【iOS】Macが古くてXcodeが最新にならない 最新iOSバージョンでビルド実行させる

2021年7月24日

悲しいかな、MacBook Proが古くて最新OSになれず…。
Xcodeの更新もできない。ですが持ってるiPhoneは最新OSに。
そうすると何が起きるかというとMacにiPhoneをつなぎXcodeを立ち上げても
対応してないので実機でビルド実行できません。。

と、いうわけで自己責任になりますが↓参考に

https://github.com/iGhibli/iOS-DeviceSupport/tree/master/DeviceSupport

で、試そうとしたのですが2021/07/22時点 iOS14.7がない

というわけで、さらに一時的な解決策

  1. contents/Developer/platform/iPhoneOS.platform/DeviceSupportに移動
  2. 以前のiOS14.6デバイスサポートファイルまたは古いバージョンをコピー
  3. 同じフォルダに貼り付けて、iOS番号を14.7に変更します
  4. Xcodeを再起動すると、実行できるようになります

ビルドはできましたが、Swift UI が動かない。古いからなのだろうか。
Swift UIではないものは動いた。。
とりあえずは一旦このままやってみます。

最新Macにするのが一番なんですけどね。